<?php
define("DB_HOST",'localhost');// 地址
define("DB_USER",'root');// 数据库账号
define('DB_PWD','root');// 数据库密码
define('DB_NAME','word');// 数据库名
define('DB_PORT','3306');// 数据库端口
define('DB_TYPE','mysql');// 数据库类型
define('DB_CHARSET','utf8');// 数据库字符集
try{
    //连接数据库、选择数据库
    $pdo = new PDO("mysql:host=".DB_HOST.";dbname=".DB_NAME,DB_USER,DB_PWD);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);    // 设置错误模式
    $pdo->query("SET NAMES 'utf8'");    //设置编码格式
    $pdo->setAttribute(PDO::ATTR_DEFAULT_FETCH_MODE,PDO::FETCH_ASSOC);      // 设置默认的提取模式
}catch(PDOException $e){
    //输出异常信息
    echo $e->getMessage();
}
